using System.Collections;
using System.Collections.Generic;
using UnityEngine;

//[CreateAssetMenu(fileName = "BaseEffect", menuName = "RiftMayhem/AbilitySystem/Effects/Base Effect", order = 1)]
public class BaseEffect : ScriptableObject
{
    public List<GameTag> tags = new List<GameTag>();
    public List<GameTag> influencingStats = new List<GameTag>();

    public virtual void ApplyEffect(Taggable user, List<Taggable> targets) { }

}
